"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/0n/_7v_bpwd1w71f8l0b0kjw5br0000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x107f0e980>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x107f0eac0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107f0ea20>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107f0eb60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x107f0ec00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x107f0eca0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107f0ed40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107f0ede0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107f0ee80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107f0ef20>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x107f0efc0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f060>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f100>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f1a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f240>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f2e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f380>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f420>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f4c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f560>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f600>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f6a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f740>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f7e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f880>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f920>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x107f0f9c0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x107f0fa60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x107f0fb00>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x107f0fba0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x107f0fc40>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x107f0fce0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x107f0fd80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x107f0fe20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x107f0fec0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x107f0ff60>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x107f64040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x107f640e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107f64180>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107f64220>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x107f642c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x107f64360>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x107f64400>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x107f644a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x107f64540>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x107f645e0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x107f64680>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x107f64720>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x107f647c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x107f64860>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x107f64900>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x107f649a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x107f64a40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x107f64ae0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x107f64b80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x107f64c20>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x107f64cc0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107f64d60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x107f64e00>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x107f64ea0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x107f64f40>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x107f64fe0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x107f65080>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x107f65120>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x107f651c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x107f65260>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x107f65300>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x107f653a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x107f65440>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107f654e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x107f65580>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x107f65620>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x107f656c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x107f65760>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x107f65800>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x107f658a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x107f65940>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x107f659e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x107f65a80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x107f65bc0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x107f65b20>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x107f65c60>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x107f65d00>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x107f65da0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x107f65e40>)]
name: str = 'fr_HOCCN'
